The packages required for extending On-Premise Poller support in Web Transaction (Browser) and Web Page Speed (Browser)

The packages required for extending On-Premise Poller support in Web Transaction (Browser) and Web Page Speed (Browser)

The following packages have to be installed in the Linux system to support On-Premise Poller in Web Transaction (Browser) and Web Page Speed (Browser). 

Supported OS versions: CentOS 7.0 to 7.8 and RHEL 7.x 

Most of the servers will have all these packages, by default. However, we strongly recommend cross-checking the same.
  1. glib2-devel
  2. alsa-lib*
  3. compat-libstdc++-33
  4. xorg-x11-fonts*
  5. xorg-x11-server-Xorg
  6. bind-utils
  7. traceroute
  8. freetype
  9. fontconfig
  10. libXrender
  11. libXdamage
  12. libXcomposite
  13. alsa-plugins-samplerate
  14. gtksourceview
  15. libX11-devel
  16. mtr
  17. lsof
  18. yum-utils
  19. ntp
  20. dbus
  21. gtk3*
  22. xorg-x11-server-Xvfb
To newly install any of these packages, execute the command:
yum install <package name>

Once installed, you would be able to select On-Premise Poller as a location agent in the Web Page Speed (Browser), Web Transaction (Browser) recorder tool, and also in the web client (Admin > Monitors).

Related links:


    • Related Articles

    • Prerequisites for supporting On-Premise Poller in Web Transaction (Browser) and Web Page Speed (Browser)

      Web Transaction (Browser) and Web Page Speed (Browser) are supported in Linux flavor of On-Premise Poller. The following minimum hardware and software requirements must be extended in order to offer support for On-Premise Poller: Hardware ...
    • How secure is On-Premise Poller

      On-Premise Poller: Introduction On-Premise Poller, a lightweight agent, helps to monitor your internal network and resources behind a firewall or virtual private network (VPN). You can install On-Premise Poller in various branch offices within a ...
    • Prerequisites for installing On-Premise Poller

      Site24x7 On-Premise Poller can be installed on Windows and Linux systems in both 32-bit and 64-bit versions. On-Premise Poller can be installed in virtual machines as well. The following are the general prerequisites for installation: RAM 8 GB ...
    • Upgrading On-Premise Poller to the latest version

      Go to Admin > On-Premise Poller in the Site24x7 web client Click on the name of the On-Premise Poller In the dashboard that opens up, click upgrade to the latest version Confirm it in the pop-up The latest version of the On-Premise Poller will be ...
    • Checking the accessibility of Site24x7 server from the On-Premise Poller

      Once you've installed the On-Premise Poller, perform the following actions to check if the On-Premise Poller can connect to Site24x7 servers. Ensure to allow access to the necessary ports. Checking the accessibility of the ...